<<

# Bugzilla::Webservice::Classification

- NAME
- DESCRIPTION
- METHODS
- Classification Retrieval
  - get

# NAME

Bugzilla::Webservice::Classification - The Classification API

# DESCRIPTION

This part of the Bugzilla API allows you to deal with the available Classifications. You will be able to get information about them as well as manipulate them.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

# Classification Retrieval

## get

EXPERIMENTAL

Description

  Returns a hash containing information about a set of classifications.

Params

  In addition to the parameters below, this method also accepts the standard include_fields and exclude_fields arguments.

  You could get classifications info by supplying their names and/or ids. So, this method accepts the following parameters:

  `ids`

    An array of classification ids.

  `names`

    An array of classification names.

Returns

  A hash with the key `classifications` and an array of hashes as the corresponding value. Each element of the array represents a classification that the user is authorized to see and has the following keys:

  `id`

    `int` The id of the classification.

  `name`

    `string` The name of the classification.

  `description`

    `string` The description of the classificaion.

  `sort_key`

    `int` The value which determines the order the classification is sorted.

  `products`

    An array of hashes. The array contains the products the user is authorized to access within the classification. Each hash has the following keys:

    `name`

      `string` The name of the product.

    `id`

      `int` The id of the product.

    `description`

      `string` The description of the product.

Errors
  900 (Classification not enabled)

    Classification is not enabled on this installation.

History
  Added in Bugzilla 4.4.

<<